<?php

use Illuminate\Support\Facades\Route;

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

Auth::routes(['register'=>true]);

Route::get ('/',                'VMailController@index'             )->name('home');

Route::post('/domains',         'VMailController@domainsAjax'       )->name('domains');
Route::post('/tls',             'VMailController@tlsAjax'           )->name('tls');
Route::post('/aliases',         'VMailController@aliasesAjax'       )->name('aliases');
Route::post('/accounts',        'VMailController@accountsAjax'      )->name('accounts');
Route::post('/siteaccounts',    'VMailController@siteAccountsAjax'  )->name('siteaccounts');
Route::get ('/accountpassword',  'AccountPwController@index'        )->name('accountpassword');
Route::post('/accountpassword',  'AccountPwController@ajax'         )->name('accountpassword');
